CVE-2012-6612

Improper Restriction of XML External Entity Reference in Apache Solr in maven/org.apache.solr/solr-core

Identifiers

GHSA-6cpj-3g83-q2j4, CVE-2012-6612

Package Slug

maven/org.apache.solr/solr-core

Vulnerability

Improper Restriction of XML External Entity Reference in Apache Solr

Description

The (1) UpdateRequestHandler for XSLT or (2) XPathEntityProcessor in Apache Solr before 4.1 allows remote attackers to have an unspecified impact via XML data containing an external entity declaration in conjunction with an entity reference, related to an XML External Entity (XXE) issue, different vectors than CVE-2013-6407.

Affected Versions

All versions before 4.1.0

Solution

Upgrade to version 4.1.0 or above.

Last Modified

2022-07-25

source